package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.NewsInfo;


/**
*  service接口类
*/
public interface NewsInfoService{

    List<NewsInfo> getNewsInfoList(NewsInfo record);

    List<NewsInfo> getNewsInfoByPage(Page page, NewsInfo record);

    NewsInfo getNewsInfoById(String id);

    NewsInfo getNewsInfo(NewsInfo record);

    boolean createNewsInfo(NewsInfo record);

    boolean deleteNewsInfo(String id);

    boolean updateNewsInfo(NewsInfo record);
}

